Get Paper

Paper requires Java 8!

Download Java 8 here, from oracle

Java 8 is strongly recommended for ALL servers. If your host is still using Java 6 or 7, please ask them to upgrade!

Server Administrators

Server Admins do not need to build Paper to use it, as we provide a ready to use jar file!

Download latest Paper 1.11 via direct link here

CI for specific builds: here

This jar does not violate the DMCA against CraftBukkit as it does not ship the Minecraft Server. It distributes a patch file, that the jar will then download Minecraft Vanilla server for you, and apply the patches to it.

Implementation Developers / Building From Source

Developers may download the Paper repo and then run ./paper jar to build a jar file.

JDK8 is required.